This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 104996 - Errata kernel 2.4.20-20.7 fails to compile
Errata kernel 2.4.20-20.7 fails to compile
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-24 10:24 EDT by Mindaugas Riauba
Modified: 2015-01-04 17:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-29 05:51:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mindaugas Riauba 2003-09-24 10:24:12 EDT
Description of problem:
Errata kernel 2.4.20-20.7 fails to compile. System is fully updated. Compile procedure 
is taken from "Red Hat Linux 7.3: The Official Red Hat Linux Customization Guide" 
Appendix A.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. up2date -if kernel-source
2. cd /usr/src/linux-2.4
3. make mrproper
4. cp configs/kernel-2.4.20-i686-smp.config .config
5. make menuconfig; <Exit> without any changes; <Yes>
6. make dep
7. make clean
8. make bzImage
    
Actual results:

rm -f oprofile.o
ld -m elf_i386  -r -o oprofile.o init.o 
timer_int.o ../../../drivers/oprofile/oprof.o ../../../drivers/oprofile/cpu_buffer.o ../../../driver
s/oprofile/buffer_sync.o ../../../drivers/oprofile/event_buffer.o ../../../drivers/oprofile/opro
file_files.o ../../../drivers/oprofile/oprofilefs.o ../../../drivers/oprofile/oprofile_stats.o 
nmi_int.o op_model_athlon.o op_model_ppro.o op_model_p4.o
make[2]: Leaving directory `/usr/src/linux-2.4.20-20.7/arch/i386/oprofile'
make[1]: Leaving directory `/usr/src/linux-2.4.20-20.7/arch/i386/oprofile'
gcc  -D__KERNEL__ -I/usr/src/linux-2.4.20-20.7/include -e stext  
arch/i386/vmlinux.lds.S   -o arch/i386/vmlinux.lds
/tmp/ccduSngp.s: Assembler messages:
/tmp/ccduSngp.s:2: Error: invalid character '_' in mnemonic
/tmp/ccduSngp.s:3: Error: invalid character '_' in mnemonic
/tmp/ccduSngp.s:4: Error: invalid character '(' in mnemonic
/tmp/ccduSngp.s:5: Error: no such instruction: `sections'
/tmp/ccduSngp.s:6: Warning: rest of line ignored; first ignored character is `{'
/tmp/ccduSngp.s:7: Warning: symbol "PAGE_OFFSET_RAW" undefined; zero 
assumed
/tmp/ccduSngp.s:9: Error: symbol `.text' is already defined
/tmp/ccduSngp.s:9: Warning: rest of line ignored; first ignored character is `{'
/tmp/ccduSngp.s:10: Warning: rest of line ignored; first ignored character is `*'
/tmp/ccduSngp.s:11: Warning: rest of line ignored; first ignored character is `*'
/tmp/ccduSngp.s:12: Warning: rest of line ignored; first ignored character is `*'
/tmp/ccduSngp.s:13: Warning: rest of line ignored; first ignored character is `}'
/tmp/ccduSngp.s:17: Warning: rest of line ignored; first ignored character is `{'
/tmp/ccduSngp.s:18: Warning: rest of line ignored; first ignored character is `{'
/tmp/ccduSngp.s:20: Warning: symbol "ALIGN" undefined; zero assumed
/tmp/ccduSngp.s:20: Warning: rest of line ignored; first ignored character is `('
/tmp/ccduSngp.s:22: Warning: rest of line ignored; first ignored character is `{'
/tmp/ccduSngp.s:26: Warning: rest of line ignored; first ignored character is `{'
/tmp/ccduSngp.s:29: Error: symbol `.data' is already defined
/tmp/ccduSngp.s:29: Warning: rest of line ignored; first ignored character is `{'
/tmp/ccduSngp.s:30: Warning: rest of line ignored; first ignored character is `*'
/tmp/ccduSngp.s:31: Error: no such instruction: `constructors'
/tmp/ccduSngp.s:32: Warning: rest of line ignored; first ignored character is `}'
/tmp/ccduSngp.s:36: Warning: symbol "ALIGN" undefined; zero assumed
/tmp/ccduSngp.s:36: Warning: rest of line ignored; first ignored character is `('
/tmp/ccduSngp.s:37: Warning: rest of line ignored; first ignored character is `{'
/tmp/ccduSngp.s:39: Warning: symbol "ALIGN" undefined; zero assumed
/tmp/ccduSngp.s:39: Warning: rest of line ignored; first ignored character is `('
/tmp/ccduSngp.s:41: Warning: rest of line ignored; first ignored character is `{'
/tmp/ccduSngp.s:42: Warning: rest of line ignored; first ignored character is `{'
/tmp/ccduSngp.s:43: Warning: symbol "ALIGN" undefined; zero assumed
/tmp/ccduSngp.s:43: Warning: rest of line ignored; first ignored character is `('
/tmp/ccduSngp.s:45: Warning: rest of line ignored; first ignored character is `{'
/tmp/ccduSngp.s:48: Warning: rest of line ignored; first ignored character is `{'
/tmp/ccduSngp.s:50: Warning: symbol "ALIGN" undefined; zero assumed
/tmp/ccduSngp.s:50: Warning: rest of line ignored; first ignored character is `('
/tmp/ccduSngp.s:53: Warning: symbol "ALIGN" undefined; zero assumed
/tmp/ccduSngp.s:53: Warning: rest of line ignored; first ignored character is `('
/tmp/ccduSngp.s:54: Warning: rest of line ignored; first ignored character is `{'
/tmp/ccduSngp.s:56: Warning: symbol "ALIGN" undefined; zero assumed
/tmp/ccduSngp.s:56: Warning: rest of line ignored; first ignored character is `('
/tmp/ccduSngp.s:57: Warning: rest of line ignored; first ignored character is `{'
/tmp/ccduSngp.s:60: Error: symbol `.bss' is already defined
/tmp/ccduSngp.s:60: Warning: rest of line ignored; first ignored character is `{'
/tmp/ccduSngp.s:61: Warning: rest of line ignored; first ignored character is `*'
/tmp/ccduSngp.s:62: Warning: rest of line ignored; first ignored character is `}'
/tmp/ccduSngp.s:67: Warning: rest of line ignored; first ignored character is `*'
/tmp/ccduSngp.s:68: Warning: rest of line ignored; first ignored character is `*'
/tmp/ccduSngp.s:69: Warning: rest of line ignored; first ignored character is `*'
/tmp/ccduSngp.s:70: Warning: rest of line ignored; first ignored character is `}'
/tmp/ccduSngp.s:73: Error: unknown pseudo-op: `.stab'
/tmp/ccduSngp.s:74: Error: unknown pseudo-op: `.stabstr'
/tmp/ccduSngp.s:75: Error: unknown pseudo-op: `.stab.excl'
/tmp/ccduSngp.s:76: Error: unknown pseudo-op: `.stab.exclstr'
/tmp/ccduSngp.s:77: Error: unknown pseudo-op: `.stab.index'
/tmp/ccduSngp.s:78: Error: unknown pseudo-op: `.stab.indexstr'
/tmp/ccduSngp.s:79: Error: unknown pseudo-op: `.comment'
/tmp/ccduSngp.s:80: Warning: rest of line ignored; first ignored character is `}'
make: *** [arch/i386/vmlinux.lds] Error 1

Expected results:


Additional info:
Comment 1 Dave Jones 2003-09-28 21:08:11 EDT
Wierd. if you can reproduce this, attach the tmp file its complaining about.
Comment 2 Mindaugas Riauba 2003-09-29 05:51:30 EDT
It seems that I messed something with installed kernel source. After rpm -e kernel-
source;rm -rf /usr/src/linux-2.4* and up2date -if kernel-source compilation went 
smoothly.
Sorry for false alarm.

Note You need to log in before you can comment on or make changes to this bug.